Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

OSGi import package to XPP should be optional #123

Closed
xfournet opened this issue Aug 1, 2018 · 1 comment

Comments

@xfournet
Copy link
Contributor

commented Aug 1, 2018

The XStream bundle cannot be started if the xmlpull bundle is not installed even if XPP is not used (eg use StaxDriver instead)

@joehni

This comment has been minimized.

Copy link
Member

commented Aug 4, 2018

Well, I always refused to declare the XPP parser as optional, since it is the default parser. No problem for Maven to override this with a dependencyManagement section, but I have to admit that for OSGI it is an annoyance ;-)

@joehni joehni self-assigned this Aug 4, 2018
@joehni joehni added the improvement label Aug 4, 2018
@joehni joehni added this to the 1.4.x milestone Aug 4, 2018
@joehni joehni closed this in 711469d Aug 4, 2018
joehni added a commit that referenced this issue Aug 4, 2018
Closes #123 and #124.
@joehni joehni modified the milestones: 1.4.x, 1.4.11 Oct 22, 2018
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.